Tigo Tago

TigoTago - media files tag editor

TigoTago ® is a modern tag editor for media files. Tags are additional information embedded in the file such as title, artist, year etc.
TigoTago provides fast access to all of the tags in a file by displaying them in an editor similar to a spreadsheet. This enables you to easily set and modify tags and to rename a huge number of files. Convenient multi-selection allows for flexible mass taging and mass renaming operations.
You have full control - all changes are visible before you save them to disk.
No typing will be needed when filling tags, since they can by imported from Freedb or Discogs on-line databases.

Requirements

TigoTago requires Microsoft .NET Framework 1.1. If you don't have it installed, get the extended setup or download it separately from Microsoft.com.
Installation of .NET Framework is a single update of system components. Not needed for Windows 2003 or higher.
TigoTago is also compatible with .NET Framework 2.0 if you have no framework we recommend the new one.
For WMA, WMF, ASF support, TigoTago uses Windows Media Format 9 Series Runtime. It is available from TigoTago or the Microsoft site. These libraries are already on board in Windows XP or higher.

Contents

General Info - A quick guide to the TigoTago interface
Operations - A short description of all the functions of TigoTago

Features

- currently supported media files: MP3 (ID3 v1.1 & v2.3.0), AVI, WAV, WMA, WMV, ASF
- tags from names
- tags from simple text
- files names from tags
- tagging user templates
- preview all changes before saving to disk
- ordering files
- numbering files
- editor like a spreadsheet with full multiselect and find & replace functionality
- import tags from Freedb for unnamed files with count and times according to original CD
- search Freedb.org for album
- search Discogs.com for album
- http connection with proxy authorisation
- modern interface
- log window for monitornig all actions
- navigation in a commander's style
- two views: current directory and recursive directory
- user friendly context help with many screenshots and examples
- using of default system players for supported files
- integrating with system shell
- full info of supported files (all tag frames and technical info)
- playlist generation (M3U, PLS, TXT)
- have you any advice/wishes? then post it on forum

© 2004-2006 Yoplo.com


General

Grid navigation

← ↑ → ↓ | walk on the cells
Home | jump to the first directory
End | jump to the last file/directory
Backspace | jump to the parent directory
F2 | edit cell
Enter | change directory / end edit mode with update
Escape | end edit mode without changes
ctrl+A | select all files

Selection

The clicked cell becomes focused and selected. To select a block of cells use the left mouse button. A single click on the grid clears the selection blocks.
To select more than one block keep the Ctrl button pressed.
Operations on files like numbering, mass tagging or renaming operates on all selected files or the whole file list if only one cell is focused. The file is selected when one of its rows cells is selected.

ID3 version ctrl+1 / ctrl+2

Switch view of ID3 tag version. Available on toolbar buttons or menu View.
screenshot: ID3 version
Save is applied to the version selected in 'Save ID3 Tag' section in the 'Settings' dialog.

Open

Each media file can be opened with the default system player (associated with extension). A right click on media files shows a popup and submenu of 'Open' this contains all the actions associated with the file type. It is also possible to drag selected files and drop them into the player.

Cell edit F2

To edit a cell use the F2 key or use a mouse double click. Cells with directory name, bitrate and time are not editable. After editing a tags field the edited cells background colour changes. This indicates that the cells value has been changed.
screenshot: Edit cell
To undo a change choose Restore, to accept a change (save to disk) choose Save.

Restore ctrl+Z

To undo changes in the selected cells. After this restore the cells background colour will return to normal.

Restore All ctrl+shift+S

To undo changes in all of the changed cells.

Save ctrl+S

Saves your changes of the selected cells to disk. After a successful save, the cells background colour will return to normal. Because the ID3 v2 tags are located at the begining of a file, saving may take a little time.

Save All ctrl+shift+S

Saves changes of all the changed cells to disk.

Change Directory ctrl+O

This will open a browse directory dialog.

Log Window ctrl+L

Toogles the log window. This will show any errors, warnings or information entries.
screenshot: Log window


Operations of TigoTago

Find and Replace ctrl+H

Replaces desired phrase in the selected cells.
screenshot: Find and Replace

Change Case

Changes the character case in the selected cells. Available settings: (lower, UPPER, First upper, Like A Title)

Set Column ctrl+T

Fills the cells of a whole column with the text of the currently selected cell. Useful for filling the Artist, Album or Year fields.

Files Re-order

Opens a dialog where files can be re-ordered using easy drag & drop operations.
screenshot: Files Re-order

Fill Track Number ctrl+N

Fills selected track numbers begining with 1.

Fill Track Number From ...

Opens a dialog where the starting number and step can be defined.

Names from Tags

Creates names of files using tags according to the defined mask.
Example:
screenshot: Names from Tags - before
screenshot: Names from Tags - after

Tags from Names

Creates tags using names of files according to the defined mask. Names should have the same separators between significant phrases.
Example:
screenshot: Tags from Names - before
screenshot: Tags from Names - after

Let's consider a more complicated example:
file name: clicks and cuts 2 - disc 3 - 01. Twerk - Inorganic Clarity.mp3
mask: %3 - %0 - %6. %1 - %2.mp3
As a result the album, track no, artist and title tags will be extracted from filename using the above mask.

clicks and cuts 2 | - | disc 3 | - | 01 | . | Twerk | - | Inorganic Clarity | .mp3
%3 | - | %0 | - | %6 | . | %1 | - | %2 | .mp3
ALBUM | sep | skipped | sep | TRACK | sep | ARTIST | sep | TITLE | sep

Tags from Text

Creates tags using simple text according to the defined mask. Definition of the mask is like the 'Tags from Names' operation.
Example:
screenshot: Tags from Text - before
screenshot: Tags from Text - after

Tags from freedb.org

Gets a track list and album information from freedb.org. Music files must correspond to the tracks on original CD (the same track times and track count) to find the correct album.
If more than one album is found, you will be prompted to choose the desired album.
All the results of remote database queries are cached for each session of TigoTago.

Find Album in freedb.org

Searches for albums of a specific artist in freedb.org database. Sometimes you will get better results if only the artist or the album is specified.

Find Album in Discogs.com

Searches for albums of specific artist in Discogs.com database. Don't forget to enter 'The' in the title, sometimes it is necessary.

Remove Tags

Removes tags from a file. If the selected file contains ID3 tags, options 'Remove ID3 v1' and 'Remove ID3 v2 Tags' are available.

Copy Tags from ID3 v1

Copies selected fields from tags v1.

Copy Tags from ID3 v2

Copies selected fields from tags v2.

Tag Info ctrl+I

Opens a window showing a full tags summary and technical information.

Create Playlist

Create playlist dialog. Available formats are M3U, PLS and TXT (simple file list).
Playlist name and song labels will be created according to a defined mask.
Absolute Path switches: paths and files (checked) / files only (unchecked) - in the playlist of the current directory.
screenshot: Create Playlist


How to translate text resources?

  1. Run Help\Translation\Run Translator
  2. Create a new language file and select target Language
    or
    Load partial translated file (available from language files list or by direct file open)
  3. Translate resources
    Select the source language version on the left panel.
    Enter appropriate text and accept the change Ctrl+N
  4. Save all changes ctrl+S
  5. Change application language in the settings window.
    Check if all texts look correctly.

Text resources can contain special characters:
- '&' is used in the menu items to mark a hot key (the letter is underlined)
- {0}, {1}, ... are used to show a variable values. Place them according to the grammatical rules.

Use 'Debug mode' option if you want to find text from iterface in the resource file. In 'Debug mode' all the texts will be prefixed with its recource id.

Resources by default are located in TigoTago\resources directory as files with .lng extension. If you have transalted all texts, and if you are realy shure that your translation is ready to publish - please send to us the .lng file. It will appear in the next version of TigoTago.

Good luck!
We are waiting for your translation.


Credits

idea, implementation, documentation by Yoplo.com
except:
id3com.dll of id3lib opensource project 3.8.3 release
SourceGrid - .NET(C#) Grid control - Copyright (c) 2004, Davide Icardi
avitags.dll 1.1.0.0 developed by Alexander Sorkin aka Kibi
SandBar Copyright (c) 2004 by Tim Dawson
Windows Media Format 9 Series Runtime (c) Microsoft

special thanks to Loser for graphics.

Translations
English | Yoplo
Polish | Yoplo
Portuguese | Ricardo Freitas


Settings

Settings dialog contains following sections:

Grid Appearance

Full customizable colors of grid's cells.

Grid Columns

Order and visibility of grid's columns. Available columns are tags and file's informations like size, time, bitrate etc.

ID3

ID3 version of saved tags. Available options are v1, v2 and both versions.

Connection

Properties of http connection.

freedb

Selection of default freedb server.